From 00d0b18389d7852b34a3eee16f69038a2f07ebaa Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Wed, 25 Jan 2023 10:43:01 +0900
Subject: [PATCH v23 06/18] Fix compile error when RT_VALUE_TYPE is
 non-integer.

'value' must be initialized since we assign value
to *value_p to supress compiler warning.
---
 src/include/lib/radixtree_search_impl.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/include/lib/radixtree_search_impl.h b/src/include/lib/radixtree_search_impl.h
index c4352045c8..a319c46c39 100644
--- a/src/include/lib/radixtree_search_impl.h
+++ b/src/include/lib/radixtree_search_impl.h
@@ -15,7 +15,8 @@
 	uint8		chunk = RT_GET_KEY_CHUNK(key, node->shift);
 
 #ifdef RT_NODE_LEVEL_LEAF
-	RT_VALUE_TYPE		value = 0;
+	RT_VALUE_TYPE		value;
+	MemSet(&value, 0, sizeof(RT_VALUE_TYPE));
 
 	Assert(RT_NODE_IS_LEAF(node));
 #else
-- 
2.31.1

